--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: action
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: rect
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: type
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An annotation object, this will add an annotation to the current page. initially will support just link annotations.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TYPES
  value: "[:link, :ilink]"
full_name: PDF::Writer::Object::Annotation
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Annotation
superclass: PDF::Writer::Object
